set ZUTAT;     # Bestandteile des Futters

param minFutter >=0;   # Mindestmenge an Futter
param minProtein >=0;  # Mindestanteil an Proteine
param maxBallast >=0;  # Maximalanteil an Ballaststoffe
param Protein{ZUTAT} >=0;  # Anteil an Protein pro Zutat
param Ballast{ZUTAT} >=0;  # Anateil an Ballaststoff pro Zutat
param preis{ZUTAT} >=0;    # Preis pro kg Zutat

var xmenge{ZUTAT} >=0;    # Menge der jeweiligen Zutat
var xfutter >= minFutter; # Gesamtmenge an Futter

# Minimierung der Futterkosten
minimize kosten: sum{z in ZUTAT} preis[z]*xmenge[z];

# Zusammensetzung des Futters
s.t. minMenge: sum {z in ZUTAT} xmenge[z] = xfutter;

# Einhaltung der Mindestmenge an Proteine
s.t. minProt: sum {z in ZUTAT} Protein[z]*xmenge[z] >= minProtein*xfutter;

# Einhaltung der Maximalmenge an Balaststoffe 
s.t. maxBall: sum {z in ZUTAT} Ballast[z]*xmenge[z] <= maxBallast*xfutter;
